/**
 * @module Utility
 */
import { GbrAddress } from "@ideal-postcodes/jsutil";
/**
 * Formats an address as a suggestion to be displayed in postcode lookup select
 * menu
 */
export declare const postcodeSearchFormatter: (address: GbrAddress) => string;
/**
 * Formats an address as a suggestion to be displayed in address search select
 * menu
 */
export declare const addressSearchFormatter: (address: GbrAddress) => string;
/**
 * @hidden
 */
export declare const preventDefault: (e: Event) => false;
/**
 * Extract string value of address attirube
 *
 * @hidden
 */
export declare const toValue: (a: GbrAddress, key: keyof GbrAddress) => string;
/**
 * Generic Event interface
 *
 * @hidden
 */
export interface Listener<K extends keyof HTMLElementEventMap> {
    (ev: HTMLElementEventMap[K]): void;
}
/**
 * Drains select elment of options
 *
 * @hidden
 */
export declare const removeOptions: (e: HTMLSelectElement) => void;
